%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MIME::Charset\\)$

Summary:        Charset Informations for MIME
Name:           perl-MIME-Charset
Version:        1.012.2
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MIME-Charset
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/MIME-Charset-%{version}.tar.gz
Patch3000:      MIME-Charset-1.012-Do-not-install-modules-from-the-Internet.patch

BuildRequires:  make
BuildRequires:  coreutils findutils sed
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(inc::Module::Install) perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::Win32) perl(Module::Install::WriteAll)
BuildRequires:  perl(Carp) perl(constant) perl(Encode::Encoding)
BuildRequires:  perl(Exporter) perl(strict) perl(vars)
BuildRequires:  perl(Test) perl(Test::More) perl(Test::Pod) >= 1.00
Requires:       perl(:MODULE_COMPAT_%perl_version)

BuildArch:      noarch

%description
This module provides information about character sets used for MIME messages on Internet.

%prep
%autosetup -p1 -n MIME-Charset-%{version}

rm -rf ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license ARTISTIC COPYING
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.012.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.012.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 17 2023 Wang Guodong <gordonwwang@tencent.com> - 1.012.2-1
- package init.
